Subject: Offline Message from Arwa tounsi: I have been following up regarding my shipm
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 10 Jun 2020 19:14:08 -0000

From: Arwa tounsi <[email-masked]>
Phone: 
Location: Jeddah, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/trackhistory/track/shipmenttrack/id/UVZTUHY3dzczS0RJZDJpVzhHL2I4UT09/
Department: 

I have been following up regarding my shipment since 10 of may 2020 and had claimed many time in Naqel because my shipment was stuck in king fahad airport for more than one month with no justification from the carrier and I suddenly choked that my shipment is returned back to you ?! 
How come and why ?! 
All my waiting time is waste?!
I need to know what is going on with my shipment ?!

Call me as you receive my email please 
Kindly consider this urgent as I am really disappointed of what happened 
If you are not going to send it please return back my money 

----
Zopim
https://www.zopim.com